Get S3 Upload Parameters
curl --request GET \
--url https://api.lilt.com/v2/upload/s3/params \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lilt.com/v2/upload/s3/params"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lilt.com/v2/upload/s3/params', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://storage.googleapis.com/bucket/uploads/user123/file456.json?...",
"key": "uploads/user123/file456.json",
"method": "PUT"
}{
"message": "Internal server error."
}Uploads
Get S3 Upload Parameters
Get S3 upload parameters via query string. This endpoint provides the necessary information to complete the file upload process using GET parameters.
Example CURL command:
curl -X GET "https://lilt.com/v2/upload/s3/params?key=API_KEY&filename=example.json&type=application/json&metadata.size=1024&metadata.labels=important,review-needed"
GET
/
v2
/
upload
/
s3
/
params
Get S3 Upload Parameters
Authorizations
BasicAuthApiKeyAuth
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
A file name including file extension.
Example:
"document.xliff"
The content-type or mime-type of the file to upload.
Example:
"video/mp4"
The size of the file to upload in bytes.
Required range:
x >= 0Example:
1024
File category metadata.
Example:
"documents"
File UUID metadata.
Example:
"123e4567-e89b-12d3-a456-426614174000"
Comma-separated list of label names to be added to the file after upload completes.
Example:
"important,review-needed"
Was this page helpful?

